Skip to content

Regenerate Service User Key

Request

Removes current service user's key and creates a new one

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

userUuidstringrequired

User UUID (by running User Management - Users > Get Organization Users).

POST
/api/v2.0/orgs/{orgToken}/users/service/{userUuid}/regenerateUserKey
curl -i -X POST \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/users/service/{userUuid}/regenerateUserKey' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(UserKeyDTO)
Response
{ "supportToken": "1171c60d", "retVal": { "uuid": "123e4567-e89b-12d3-a456-426655440000", "userUuid": "123e4567-e89b-12d3-a456-426655440000", "userKey": "8d541c7d782e4b7891ebf61e864f76cb9af75f17d4394b109f1155e88f3e86bd", "createdAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "description": "Token A", "expirationDate": "2019-08-24T14:15:22Z" } }